;-----------------------------------------------------------------------------
; 	save fsr0,fsr1 to ram
;-----------------------------------------------------------------------------

	#include "p18fxxxx.inc"
	#include "boot.inc"

;-----------------------------------------------------------------------------
; Local Variables
;-----------------------------------------------------------------------------
BOOT_DATA	UDATA

		global	_fsr
_fsr	res		4	; Temporary storage for FSR's


;-----------------------------------------------------------------------------
; Code
;-----------------------------------------------------------------------------

BOOT_ASM_CODE	CODE

;-----------------------------------------------------------------------------
; Store FSR1,FSR2
;-----------------------------------------------------------------------------
	GLOBAL  store_fsr1_fsr2        
store_fsr1_fsr2
	movff	FSR1L, _fsr                         
	movff	FSR1H, _fsr + 1
	movff	FSR2L, _fsr + 2
	movff	FSR2H, _fsr + 3
	return
;-----------------------------------------------------------------------------
; Restore FSR1, FSR2
;-----------------------------------------------------------------------------
	GLOBAL	restore_fsr1_fsr2
restore_fsr1_fsr2
	movff	_fsr, FSR1L                        
	movff	_fsr + 1, FSR1H                          
	movff	_fsr + 2, FSR2L                        
	movff	_fsr + 3, FSR2H                          
	return
;-----------------------------------------------------------------------------
	END
